[Feature]Enabling chipset support for the Edisonville microserver product

Bug #1083965 reported by XiongZhang on 2012-11-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
intel
Undecided
Unassigned
linux (Ubuntu)
Undecided
Tim Gardner
Raring
Undecided
Tim Gardner
pciutils (Ubuntu)
Undecided
Tim Gardner
Raring
Undecided
Tim Gardner

Bug Description

Enabling device support in the OS for Dual Atom System on a Chip (SOC) processor (Avoton). The Avoton SOC will include Dual Atom processors, memory controller, SATA, uart, SMBUS, USB and Intel Legacy Block(ILB - lpc, timers, smbus (i2c_801)). The drivers for Avotom would require device ID changes to the exsisting drivers only.

Upstream schedule:
-Hw SDV: late March ’13
-Kernel: TBD

Yingying Zhao (yingying-zhao) wrote :

The pci.ids has been submitted to sourceforge and the kernel patches have been merged in kernel v3.9, with the exception of the iSMT patches:
1.
commit c2db409cbc8751ccc7e6d2cc2e41af0d12ea637f
Author: Seth Heasley <email address hidden>
Date: Wed Jan 30 15:25:32 2013 +0000

    i2c: i801: SMBus patch for Intel Avoton DeviceIDs

    This patch adds the PCU SMBus DeviceID for the Intel Avoton SOC.

    Signed-off-by: Seth Heasley <email address hidden>
    Reviewed-by: Jean Delvare <email address hidden>
    Signed-off-by: Wolfram Sang <email address hidden>

2.
commit 29e674dd5c8e781589f09c3ee139c80f6da274e4
Author: Seth Heasley <email address hidden>
Date: Fri Jan 25 12:01:05 2013 -0800

    ahci: AHCI-mode SATA patch for Intel Avoton DeviceIDs

    This patch adds the AHCI and RAID-mode SATA DeviceIDs for the Intel Avoton SOC.

    Signed-off-by: Seth Heasley <email address hidden>
    Signed-off-by: Jeff Garzik <email address hidden>

3.
commit aaa515277db9585eeb4fdeb4637b9f9df50a1dd9
Author: Seth Heasley <email address hidden>
Date: Fri Jan 25 11:57:05 2013 -0800

    ata_piix: IDE-mode SATA patch for Intel Avoton DeviceIDs

    This patch adds the IDE-mode SATA DeviceIDs for the Intel Avoton SOC.

    Signed-off-by: Seth Heasley <email address hidden>
    Signed-off-by: Jeff Garzik <email address hidden>

tags: added: raring wait-canonical-evaluate
Tim Gardner (timg-tpi) on 2013-02-27
information type: Private → Public
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Yingying Zhao (yingying-zhao) wrote :

The pci.ids in Raring is also required for updating to support the Edisonville.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-9.18

---------------
linux (3.8.0-9.18) raring; urgency=low

  [Tim Gardner]

  * Release Tracking Bug
    - LP: #1135937
  * [Config] CONFIG_PATA_ACPI=m
    - LP: #1084783

  [ Upstream Kernel Changes ]

  * intel_idle: stop using driver_data for static flags
    - LP: #1083993
  * intel_idle: support Haswell
    - LP: #1083993
  * i2c: i801: SMBus patch for Intel Avoton DeviceIDs
    - LP: #1083965
  * ahci: AHCI-mode SATA patch for Intel Avoton DeviceIDs
    - LP: #1083965
  * ata_piix: IDE-mode SATA patch for Intel Avoton DeviceIDs
    - LP: #1083965

  [ Upstream Kernel Changes ]

  * rebase to v3.8.1
    - LP: #1011792
 -- Tim Gardner <email address hidden> Wed, 27 Feb 2013 06:10:52 -0700

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2013-03-13
Changed in pciutils (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pciutils - 1:3.1.9-6ubuntu2

---------------
pciutils (1:3.1.9-6ubuntu2) raring; urgency=low

  * Update pci.ids with version 2013.03.13
    -LP: #1083965
 -- Tim Gardner <email address hidden> Wed, 13 Mar 2013 06:34:36 -0600

Changed in pciutils (Ubuntu Raring):
status: In Progress → Fix Released
Yingying Zhao (yingying-zhao) wrote :

The iSMT patch is also included in kernel v3.9:

commit 488b926923f6da5b90555cddb624ad783f4952b0
Author: Seth Heasley <email address hidden>
Date: Thu Feb 21 12:30:43 2013 +0000

    i2c: iSMT: add Intel Avoton DeviceIDs

    This patch adds the iSMT SMBus Controller DeviceIDs for the Intel Avoton
SOC.

    Signed-off-by: Seth Heasley <email address hidden>
    Acked-by: Neil Horman <email address hidden>
    Signed-off-by: Wolfram Sang <email address hidden>

Tim Gardner (timg-tpi) on 2013-03-26
Changed in linux (Ubuntu Raring):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-15.25

---------------
linux (3.8.0-15.25) raring; urgency=low

  [ Andy Whitcroft ]

  * [Config] annotations -- track move to -generic for armhf
  * [Config] annotations -- resync with updated armhf -generic flavour
  * [Config] annotations -- clean up redundant annotations
  * Revert "SAUCE: add option to hand off all kernel parameters to init"
  * SAUCE: add option to hand off all kernel parameters to init
    Clean up compile warnings.
    - LP: #586386
  * Revert "SAUCE: isapnp_init: make isa PNP scans occur async"
  * SAUCE: isapnp_init: make isa PNP scans occur async
    Clean up compile warnings.

  [ Paolo Pisati ]

  * [Config] HIHGBANK=y
  * [Config] SATA_HIGHBANK=y
  * [Config] NET_CALXEDA_XGMAC=y
  * [Config] EDAC_HIGHBANK_[MC|L2]=y
  * SAUCE: cpufreq: check OF /cpus presence before dereferencing it
  * [Config] CONFIG_CPU_IDLE_CALXEDA=y, CONFIG_SWP_EMULATE=y
  * [Config] ARM_HIGHBANK_CPUFREQ=y
  * [Config] CPU_IDLE_MULTIPLE_DRIVERS=y, CPU_FREQ_DEFAULT_GOV_ONDEMAND=y

  [ Rob Herring ]

  * SAUCE: ARM: cache-l2x0: fix masking of RTL revision numbering and
    set_debug init
  * SAUCE: ahci: remove calxeda ahci controller
  * SAUCE: cpuidle: calxeda: disable power gating by default
  * SAUCE: net: calxedaxgmac: fix rx ring handling when OOM

  [ Stefan Bader ]

  * SAUCE: dm-raid45: Fix incompatible ptr assignments
    Clean up compile warnings.

  [ Tim Gardner ]

  * [Config] Removed modules from ABI
  * [Config] CONFIG_SATA_HIGHBANK=n for x86
  * [Config] Remove highbank as a flavour
  * [Config] CONFIG_MAILBOX=y
  * SAUCE: acpi/video.c: Fix compile warnings
  * SAUCE: apparmor: Fix compile warnings
  * SAUCE: vesafb: Cleanup compile warnings
  * Release Tracking Bug
    - LP: #1161054

  [ Upstream Kernel Changes ]

  * i2c: iSMT: add Intel Avoton DeviceIDs
    - LP: #1083965
  * ARM: use device tree to get smp_twd clock
  * clk / highbank: Prevent glitches in non-bypass reset mode
  * ARM / highbank: add support for pl320 IPC
  * cpufreq / highbank: add support for highbank cpufreq
  * PM / OPP: switch exported symbols to GPL variant
  * PM / OPP: Export more symbols for module usage
  * mailbox, pl320-ipc: remove __init from probe function

  [ Xiangliang Yu ]

  * SAUCE: PCI: define macro for marvell vendor ID
    - LP: #1159863
  * SAUCE: PCI: fix system hang issue of Marvell SATA host controller
    - LP: #1159863
 -- Tim Gardner <email address hidden> Mon, 25 Mar 2013 11:55:34 -0600

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Changed in intel:
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers